Bug 330751 - desktop effects fail on Dell Inspiron 530
desktop effects fail on Dell Inspiron 530
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 12:47 EDT by David L.
Modified: 2009-07-14 14:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reqested xorg.conf file (569 bytes, application/octet-stream)
2008-01-30 12:59 EST, David L.
no flags Details
Xorg.0.log with previously attached xorg.conf (52.14 KB, text/plain)
2008-01-30 13:00 EST, David L.
no flags Details
Xorg.0.log with no xorg.conf file (51.45 KB, text/plain)
2008-02-08 18:46 EST, David L.
no flags Details

  None (edit)
Description David L. 2007-10-13 12:47:25 EDT
Description of problem:
I tried to enable desktop effects on a Dell Inspiron 530 (the low end one that
ships with Ubuntu) under f8t3 and it said it could not enable desktop effects. 
I tried installing the nvidia driver, but still had the same problem.

Version-Release number of selected component (if applicable):
Whatever shipped with f8t3 plus a few more recent updates.

How reproducible:
every time

Steps to Reproduce:
1. Select Look And Feel->Desktop Effects 
2. Click on Enable Desktop Effects
3.
  
Actual results:
A message saying desktop effects could not be enabled.

Expected results:
Desktop effects to work (at least with the nvidia driver installed)

Additional info:
Desktop effects also didn't work out of the box with Ubuntu.

If this helps, here is a link to the smolt profile for that box:
http://smolt.fedoraproject.org/show?UUID=08085d09-c6e5-4c5d-b843-78828ad86e1e
Comment 1 Matěj Cepl 2008-01-12 15:56:51 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

Could you please also attach output of running desktop-effects command in the
gnome-terminal (or xterm, or whatever terminal emulator you use), please?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 David L. 2008-01-30 12:59:09 EST
Created attachment 293460 [details]
reqested xorg.conf file
Comment 3 David L. 2008-01-30 13:00:26 EST
Created attachment 293461 [details]
Xorg.0.log with previously attached xorg.conf
Comment 4 David L. 2008-02-08 18:46:12 EST
Created attachment 294431 [details]
Xorg.0.log with no xorg.conf file
Comment 5 David L. 2008-02-11 13:08:13 EST
desktop-effects gives this output:

compiz (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work.
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0
Comment 6 Bug Zapper 2009-06-09 18:56:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:07:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.